Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class ExtentImpl

    java.lang.Object
      |
      +--kodo.runtime.ExtentImpl

All Implemented Interfaces:
  Extent, KodoExtent

Direct Known Subclasses:
  XMLStoreManager.XMLExtent

public abstract synchronized class ExtentImpl
extends Object
implements KodoExtent

Constructor Summary
`ExtentImpl(KodoPersistenceManager, Class, boolean)`

Method Summary
`void` | `close(Iterator)`
`void` | `closeAll()`
`Class` | `getCandidateClass()`
`FetchConfiguration` | `getFetchConfiguration()` Return the (mutable) fetch configuration for this extent.
`boolean` | `getIgnoreCache()` Whether this extent will ignore the persistence manager cache.
`PersistenceManager` | `getPersistenceManager()`
`protected abstract ResultObjectProvider` | `getResultObjectProvider(ClassMetaData)`
`boolean` | `hasSubclasses()`
`Iterator` | `iterator()`
`List` | `list()` Returns a list of all objects represented by this extent.
`void` | `setIgnoreCache(boolean)` Whether this extent will ignore the persistence manager cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtentImpl

    public ExtentImpl(KodoPersistenceManager,
                      Class,
                      boolean)

Method Detail

### getFetchConfiguration

    public FetchConfiguration getFetchConfiguration()

  Description copied from interface: `KodoExtent`
  Return the (mutable) fetch configuration for this extent.
  Specified by:
    `getFetchConfiguration` in interface `KodoExtent`

### getIgnoreCache

    public boolean getIgnoreCache()

  Description copied from interface: `KodoExtent`
  Whether this extent will ignore the persistence manager cache.
  Specified by:
    `getIgnoreCache` in interface `KodoExtent`

### setIgnoreCache

    public void setIgnoreCache(boolean)

  Description copied from interface: `KodoExtent`
  Whether this extent will ignore the persistence manager cache.
  Specified by:
    `setIgnoreCache` in interface `KodoExtent`

### list

    public List list()

  Description copied from interface: `KodoExtent`
  Returns a list of all objects represented by this extent. This method creates a `List` by traversing the entire iterator returned by a call to `Extent.iterator()`. This means that `Collection.size()` will work correctly, but if the extent represents a large data set, this method may be quite slow and may consume quite a bit of memory.
  Specified by:
    `list` in interface `KodoExtent`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Extent`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `Extent`

### getCandidateClass

    public Class getCandidateClass()

  Specified by:
    `getCandidateClass` in interface `Extent`

### hasSubclasses

    public boolean hasSubclasses()

  Specified by:
    `hasSubclasses` in interface `Extent`

### closeAll

    public void closeAll()

  Specified by:
    `closeAll` in interface `Extent`

### close

    public void close(Iterator)

  Specified by:
    `close` in interface `Extent`

### getResultObjectProvider

    protected abstract ResultObjectProvider getResultObjectProvider(ClassMetaData)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.